Changes between Version 13 and Version 14 of PythonOcc/primitives


Ignore:
Timestamp:
Oct 30, 2013, 12:41:58 PM (7 years ago)
Author:
ptomsic
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v13 v14  
    11
    22= Python OCC =
     3
     4----
     5
    36== Struktura programa v Python OCC ==
    47
     
    5659V program uvedemo zgolj knjižnice, ki jih tudi rabimo za učinkovito delovanje.
    5760[[BR]][[BR]][[BR]]
     61----
     62
    5863
    5964== Preprosti program- Primer izdelave izvleka v prostor (Extrude) ==
     
    212217start_display()
    213218}}}
     219[[BR]][[BR]][[BR]][[BR]]
     220----
     221
    214222
    215223== Uporaba geometrijskih primitivov ==
     224[[BR]][[BR]]
     225Izdelava kvadra
     226{{{
     227#!python
     228kvader = BRepPrimAPI_MakeBox(dolzina_X, dolzina_Y, dolzina_Z)
     229kvader = BRepPrimAPI_MakeBox(Tocka1, dolzina_X, dolzina_Y, dolzina_Z)
     230kvader = BRepPrimAPI_MakeBox(Tocka1, Tocka2)
     231}}}
     232[[BR]][[BR]][[BR]][[BR]]
     233
     234Izdelava izvleka pod kotom nagiba
     235{{{
     236#!python
     237kvader= BRepPrimAPI_MakeWedge(dolzina_X, dolzina_Y, dolzina_Z, dolzina_X2)
     238kvader= BRepPrimAPI_MakeWedge(dolzina_X, dolzina_Y, dolzina_Z, dolzina_Xmin, dolzina_Zmin, dolzina_Xmax, dolzina_Zmax)
     239kvader= BRepPrimAPI_MakeWedge(dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, 0, dolzina_X/2, dolzina_Z)
     240kvader= BRepPrimAPI_MakeWedge(dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, dolzina_Z/2, dolzina_X/2, dolzina_Z/2)
     241}}}
     242[[BR]][[BR]][[BR]][[BR]]
     243
     244Izdelava valja
     245{{{
     246#!python
     247valj= BRepPrimAPI_MakeCylinder(Radij, Visina, Kot_radiani)
     248valj= BRepPrimAPI_MakeCylinder(Os, Radij, Visina, Kot_radiani)
     249}}}
     250[[BR]][[BR]][[BR]][[BR]]
     251
     252Izdelava stožca
     253{{{
     254#!python
     255stozec= BRepPrimAPI_MakeCone(Radij_1, Radij_2, Visina, Kot_radiani)
     256stozec= BRepPrimAPI_MakeCone(Os, Radij_1, Radij_2, Visina, Kot_radiani)
     257}}}
     258[[BR]][[BR]][[BR]][[BR]]
     259
     260Izdelava sfere
     261{{{
     262#!python
     263sphere= BRepPrimAPI_MakeSphere(Radij, Kot_radiani)
     264sphere= BRepPrimAPI_MakeSphere(Radij, Kot_a1_rad, Kot_a2_rad)
     265}}}
     266[[BR]][[BR]][[BR]][[BR]]
     267
     268Izdelava torusa
     269{{{
     270#!python
     271torus= BRepPrimAPI_MakeTorus(Radij_torusa, Radij_prereza)
     272torus= BRepPrimAPI_MakeTorus(Radij_torusa, Radij_prereza, Kot_radiani)
     273torus= BRepPrimAPI_MakeTorus(Radij_torusa, Radij_prereza, Kot_a1_rad, Kot_a2_rad)
     274}}}
     275[[BR]][[BR]][[BR]][[BR]]
     276
     277Izdelava izvleka
     278{{{
     279#!python
     280Izvlek = BRepPrimAPI_MakePrism(Povrsina.Face() , Vektor)
     281Izvlek = BRepPrimAPI_MakePrism(Povrsina.Face() , Smer)
     282}}}
     283[[BR]][[BR]][[BR]][[BR]]
     284
     285Izdelava krožnega izvleka
     286{{{
     287#!python
     288Vrtenina = BRepPrimAPI_MakeRevol(Povrsina.Face() , Os)
     289Vrtenina = BRepPrimAPI_MakeRevol(Povrsina.Face() , Os, Kot_radiani)
     290}}}
     291[[BR]][[BR]][[BR]][[BR]]
     292
     293----
     294
     295== Uporaba menijev znotraj prikaznega okna ==
     296[[BR]][[BR]]
     297Najprej je potrebno definirati funkcije, ki izvršijo ukaz (izdelajo neko obliko). Pri tem pred izrisom oblike počistimo modelno okno obstoječih oblik z ukazom [display.EraseAll()].
     298{{{
     299#!python
     300def Funkcija(event=None):
     301    display.EraseAll()
     302    #definicija prikazane oblike
     303    display.DisplayShape(Oblika.Shape())
     304}}}
     305[[BR]][[BR]]
     306
     307Izdelava menija
     308{{{
     309#!python
     310add_menu('Ime_menija')
     311add_function_to_menu('Ime_menija',Funkcija1)
     312add_function_to_menu('Ime_menija',Funkcija2)
     313}}}
     314[[BR]][[BR]][[BR]][[BR]]